package router

import (
	"github.com/gin-gonic/gin"
)

func RegisterTask(group *gin.RouterGroup, h *Task) {
	router := group.Group("/timedTask")
	router.POST("/createTimedTask", h.Create)
	router.PUT("/updateTimedTask", h.Update)
	router.DELETE("/deleteTimedTask", h.Delete)
	router.POST("/toggleTimedTask", h.Toggle)
	router.POST("/triggerTimedTask", h.Trigger)
	router.GET("/getTimedTaskList", h.List)
	router.GET("/getTimedTaskLogList", h.Logs)
	router.GET("/getRegisteredMethods", h.Methods)
	router.GET("/alertStream", h.AlertStream)
}
